<?php
class ModelExtensionTotalServiceCharge extends Model {
	public function getTotal($total) {
		if ($this->config->get('total_service_charge_status') && $this->config->get('total_service_charge_rule')) {
			$this->load->language('extension/total/service_charge');
			foreach($this->config->get('total_service_charge_rule') as $value){
				if(($this->cart->getSubTotal() <= $value['max_price']) && ($this->cart->getSubTotal() >= $value['min_price'])){
					$total['totals'][] = array(
						'code'       => 'service_charge',
						'title'      => ($this->config->get('total_service_charge_text_service')) ? $this->config->get('total_service_charge_text_service') : $this->language->get('text_service'),
						'value'      => $value['charge'],
						'sort_order' => $this->config->get('total_service_charge_sort_order')
					);				
				$total['total'] += $value['charge'];	
				break;
				}
			}
		}
	}
}